"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GatewayException = void 0;
class GatewayException extends Error {
    constructor(value) {
        super((value === null || value === void 0 ? void 0 : value.message) || value);
        // Store Extra Information
        if (typeof value === "object")
            this.meta = value;
    }
}
exports.GatewayException = GatewayException;
