export interface Item {
    sku?: string;
    name: string;
    description?: string;
    price: number;
    quantity?: number;
}
export interface ReturnItem {
    sku: string;
    name: string;
    description?: string;
    currency: string;
    price: number;
    quantity: number;
}
export interface ItemsOptions {
    description?: string;
    currency?: string;
    items: Array<Item>;
}
export declare class Items {
    protected Options: ItemsOptions;
    protected DefaultCurrency: string;
    protected Output: {
        items: ReturnItem[];
        description: string | undefined;
        currency: string;
        total: number;
    };
    constructor(Options: ItemsOptions);
    get: () => {
        items: ReturnItem[];
        description: string | undefined;
        currency: string;
        total: number;
    };
    getOptions: () => ItemsOptions;
}
